Bug 504393 - drop igrep.el from Emacs
drop igrep.el from Emacs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 21:15 EDT by Jens Petersen
Modified: 2009-06-19 04:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 04:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
emacs-remove-igrep.patch (1.75 KB, patch)
2009-06-18 21:08 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Jens Petersen 2009-06-05 21:15:22 EDT
Description of problem:
I suggest removing igrep.el from the main emacs package.
(I added it long ago when I think grep.el did not provide
the features, but I does now and is maintained.)

igrep.el seems not to have been updated in a long time
and does not know about .svn, .git, etc...

If people still want it better to move it to a new package
IMHO (emacs-igrep) in Fedora.

I can provide a patch if it helps.
Comment 1 Bug Zapper 2009-06-09 13:11:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Daniel Novotny 2009-06-18 10:45:00 EDT
> I can provide a patch if it helps.  
it's sufficient to edit the specfile to not include the file, right?
Comment 3 Jens Petersen 2009-06-18 21:08:06 EDT
Created attachment 348589 [details]
emacs-remove-igrep.patch

Yes, I think this patch would do it.

It also fixes the ambiguity in the list of site init.el files.
Comment 4 Daniel Novotny 2009-06-19 04:54:27 EDT
OK Jens, thanks for the patch, applied, emacs-23.0.93-3.fc12 is in rawhide

Note You need to log in before you can comment on or make changes to this bug.